更新时间:2022-04-29 GMT+08:00
分享

升级内核小版本

功能介绍

MySQL、PostgreSQL支持手动升级内核小版本。

调试

您可以在API Explorer中调试该接口。

接口约束

该接口仅支持MySQL、PostgreSQL引擎。

RDS for PostgreSQL升级内核小版本时具有以下约束:
  • 实例中存在异常节点,无法升级小版本。
  • 不支持的小版本:

    - 对于 RDS for PostgreSQL 11版本,如果内核小版本小于11.2,则不支持小版本升级。

    - 对于 RDS for PostgreSQL 增强版,如果内核小版本小于1.0.12,则不支持小版本升级。

    - 只支持立即升级,不支持小版本延迟升级。

URI

  • URI格式

    POST /v3/{project_id}/instances/{instance_id}/action/db-upgrade

  • URI样例

    https://rds.cn-north-1.myhuaweicloud.com/v3/054ea741f700d4a32f1bc00f5c80dd4c/instances/5b409baece064984a1b3eef6addae50cin01/action/db-upgrade

  • 参数说明
    表1 参数说明

    名称

    是否必选

    说明

    project_id

    租户在某一region下的project ID。

    获取方法请参见获取项目ID

    instance_id

    实例ID。

请求消息

  • 参数说明
    表2 参数说明

    名称

    是否必选

    参数类型

    说明

    delay

    Boolean

    是否延迟至可维护时间段内升级。

    • true:延迟升级。表示实例将在设置的可维护时间段内升级。
    • false:立即升级,默认该方式。
  • 请求样例
    {
        "delay":false
    }

响应消息

  • 正常响应要素说明
    表3 要素说明

    名称

    参数类型

    说明

    job_id

    String

    任务ID。

  • 正常响应样例
    {
    	"job_id": "2b414788a6004883a02390e2eb0ea227"
    }
  • 异常响应

    请参见异常请求结果

状态码

错误码

请参见错误码

分享:

    相关文档

    相关产品

close